--- ./res/res_features.c	2004-08-30 19:48:42.000000000 -0700
+++ ./res/res_features.c.courtesytone	2004-08-30 19:47:24.000000000 -0700
@@ -61,6 +61,9 @@
 
 static int transferdigittimeout = DEFAULT_TRANSFER_DIGIT_TIMEOUT;
 
+/* Default courtesy tone played when party joins conference */
+static char courtesytone[256] = "";
+
 /* Registrar for operations */
 static char *registrar = "res_features";
 
@@ -704,6 +707,12 @@
 		if (option_verbose > 2) 
 			ast_verbose(VERBOSE_PREFIX_3 "Channel %s connected to parked call %d\n", chan->name, park);
 
+		/* Play a courtesy beep in the calling channel to prefix the bridge connecting */	
+		if (strcmp(courtesytone, "") != 0) {
+			ast_streamfile(chan, courtesytone, chan->language);
+			ast_waitstream(chan, "");
+		}
+ 
 		memset(&config,0,sizeof(struct ast_bridge_config));
 		config.allowredirect_in = 1;
 		config.allowredirect_out = 1;
@@ -850,6 +859,8 @@
 					transferdigittimeout = DEFAULT_TRANSFER_DIGIT_TIMEOUT;
 				} else
 					transferdigittimeout = transferdigittimeout * 1000;
+			} else if  (!strcasecmp(var->name, "courtesytone")) {
+                                strncpy(courtesytone, var->value, sizeof(courtesytone) - 1);
 			}
 			var = var->next;
 		}
